%define plymouthdaemon_execdir /sbin
%define plymouthclient_execdir /bin
%define plymouth_libdir /%{_lib}
%define localstatedir /var
%define _libexecdir %{_prefix}/libexec
%define plymouthdaemon_execdir /sbin
%define plymouthclient_execdir /bin
%define plymouth_libdir /%{_lib}

%define _libexecdir %{_prefix}/libexec

%define build_gdm 0

%define lib_major 2
%define lib_name %mklibname %{name} %{lib_major}
%define lib_name_devel %mklibname %{name} -d

%define snapshot 0

Summary: Graphical Boot Animation and Logger
Name: plymouth
Version: 0.8.9
Release: %mkrel 4
License: GPLv2+
Group: System/Kernel and hardware
Source0: http://freedesktop.org/software/plymouth/releases/%{name}-%{version}.tar.bz2
Source1: boot-duration
Source2: charge.plymouth
Source3: plymouth_pclos.tar.xz
Patch0: dont-timeout-waiting.patch
Patch1: sysfs-tty-fix.patch
Patch2: fix-theme-override.patch
Patch3: fix-updates.patch
Patch22: plymouth-0.8.3-include-sysmacros.patch
Patch23: plymouth-0.8.9-drm.patch
#------------------------------------------------------------
URL: http://freedesktop.org/software/plymouth/releases
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: initscripts > 9.25-19pclos2014
Requires: mkinitrd > 6.0.93-19
Requires: desktop-common-data
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}tiff-devel
Obsoletes: splashy
Provides: splashy

%description
Plymouth provides an attractive graphical boot animation in
place of the text messages that normally get shown.  Text
messages are instead redirected to a log file for viewing
after boot.

%package devel
Group: System/Kernel and hardware
Summary: Libraries and headers for writing Plymouth splash plugins
Group: Development/C
Requires: %{name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}

%description devel
This package contains the libply and libplybootsplash libraries
and headers needed to develop 3rd party splash plugins for Plymouth.


%if %{build_gdm}
%package gdm-hooks
Group: System/Kernel and hardware
Summary: Plymouth GDM integration
Requires: gdm 
Requires: %{name} = %{version}-%{release}

%description gdm-hooks
This package contains support files for integrating Plymouth with GDM
Namely, it adds hooks to show boot messages at the login screen in the
event start-up services fail.
%endif

%package theme-fade-in
Group: System/Kernel and hardware
Summary: Plymouth "Fade-In" theme
Requires(post): plymouth = %{version}-%{release}

%description theme-fade-in
This package contains the "Fade-In" boot splash theme for
Plymouth. It features a centered logo that fades in and out
while stars twinkle around the logo during system boot up.

%package theme-spinfinity
Group: System/Kernel and hardware
Summary: Plymouth "Spinfinity" theme
Requires(post): plymouth = %{version}-%{release}

%description theme-spinfinity
This package contains the "Spinfinity" boot splash theme for
Plymouth. It features a centered logo and animated spinner that
spins in the shape of an infinity sign.

%package theme-solar
Group: System/Kernel and hardware
Summary: Plymouth "Solar" theme
Requires(post): plymouth = %{version}-%{release}

%description theme-solar
This package contains the "Solar" boot splash theme for
Plymouth. It features a blue flamed sun with animated solar flares.

%package theme-charge
Group: System/Kernel and hardware
Summary: Plymouth "Charge" plugin
Requires(post): plymouth = %{version}-%{release}

%description theme-charge
This package contains the "charge" boot splash theme for
Plymouth. It features the shadowy hull of a logo charge up and
and finally burst into full form.

%package theme-glow
Group: System/Kernel and hardware
Summary: Plymouth "Glow" plugin
Requires(post): plymouth  = %{version}-%{release}

%description theme-glow
This package contains the "Glow" boot splash theme for Plymouth.

%package theme-script
Group: System/Kernel and hardware
Summary: Plymouth "Script" theme
Requires(post): plymouth = %{version}-%{release}

%description theme-script
This package contains the "Script" boot splash theme for
Plymouth. 

%package theme-spinner
Group: System/Kernel and hardware
Summary: Plymouth "Spinner" theme
Requires(post): plymouth = %{version}-%{release}

%description theme-spinner
This package contains the "Spinner" boot splash theme for
Plymouth.

%prep
%setup -q
%apply_patches
autoreconf -fiv
%build
%configure2_5x \
    --enable-tracing --disable-tests \
	--with-logo=%{_datadir}/icons/large/pclinuxos.png \
	--with-background-start-color-stop=0x0073B3	\
	--with-background-end-color-stop=0x00457E \
	--with-background-color=0x3391cd \
	--enable-gdm-transition=no \
	--without-rhgb-compat-link \
	--with-system-root-install \
	--with-boot-tty=tty7 \
	--with-shutdown-tty=tty1 \
	--disable-systemd-integration \
    --enable-pango \
    --enable-drm=yes \
    --enable-libkms=no \
	--enable-gtk=yes \
	--with-release-file=/etc/pclinuxos-release

%make_build

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

find $RPM_BUILD_ROOT -name \*.a -delete -o -name \*.la -delete
mkdir -p $RPM_BUILD_ROOT%{_bindir}
(cd $RPM_BUILD_ROOT%{_bindir}; ln -s ../../bin/plymouth)
touch $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/default.plymouth

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/plymouth
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/plymouth/default-boot-duration
touch $RPM_BUILD_ROOT%{_localstatedir}/lib/plymouth/{boot,shutdown}-duration

# Add charge
mkdir -p $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/charge
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/charge
cp $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/glow/{box,bullet,entry,lock}.png $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/charge

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
[ -f %{_localstatedir}/lib/plymouth/boot-duration ] || cp -f %{_datadir}/plymouth/default-boot-duration %{_localstatedir}/lib/plymouth/boot-duration
for i in $(/bin/ls /lib/modules); do
    mkinitrd -f /boot/initrd-$i.img $i &> /dev/null
done
# Dont switch themes or it will mess up community editions

#/usr/sbin/plymouth-set-default-theme PCLinuxOS
#/usr/share/bootsplash/scripts/switch-themes PCLinuxOS 


%files
%defattr(-, root, root)
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/plymouth
%dir %{_datadir}/plymouth
%dir %{_datadir}/plymouth/themes
%{_datadir}/plymouth/default-boot-duration
%dir %{_localstatedir}/lib/plymouth
%{plymouthdaemon_execdir}/plymouthd
%{plymouthclient_execdir}/plymouth
%{_bindir}/plymouth
%{_libdir}/plymouth/details.so
%{_libdir}/plymouth/text.so
%ghost %{_datadir}/plymouth/themes/default.plymouth
%{_datadir}/plymouth/themes/details
%{_datadir}/plymouth/themes/text
%{_localstatedir}/run/plymouth
%{_localstatedir}/spool/plymouth
%ghost %{_localstatedir}/lib/plymouth/shutdown-duration
%ghost %{_localstatedir}/lib/plymouth/boot-duration
%{plymouth_libdir}/libply.so.*
%dir %{_libdir}/plymouth
%{_libdir}/plymouth/label.so
%{_libdir}/plymouth/fade-throbber.so
%{_libdir}/plymouth/throbgress.so
%{_libdir}/plymouth/script.so
%{_libdir}/plymouth/space-flares.so
%{_libdir}/plymouth/two-step.so
%{_sbindir}/plymouth-set-default-theme
%{_libexecdir}/plymouth
%dir %{_libdir}/plymouth/renderers
%{_libdir}/plymouth/renderers/drm*
%{_libdir}/plymouth/renderers/frame-buffer*
%{_libdir}/plymouth/renderers/x11*
%{_datadir}/plymouth/plymouthd.defaults
%{_mandir}/man?/*

/%{_lib}/libply-splash-core.so.2
/%{_lib}/libply-splash-core.so.2.1.0
%{_libdir}/libply-boot-client.so.2
%{_libdir}/libply-boot-client.so.2.1.0
%{_libdir}/libply-splash-graphics.so.2
%{_libdir}/libply-splash-graphics.so.2.1.0

%files devel
%defattr(-, root, root)
%{plymouth_libdir}/libply.so
%{_includedir}/plymouth-1
%{_libdir}/pkgconfig/*.pc

/%{_lib}/libply-splash-core.so
%{_libdir}/libply-boot-client.so
%{_libdir}/libply-splash-graphics.so

%if %{build_gdm}
%files gdm-hooks
%defattr(-, root, root)
%{_datadir}/gdm/autostart/LoginWindow/plymouth-log-viewer.desktop
%endif

#--------------------------------------------------------------------
%files theme-fade-in
%defattr(-, root, root)
%{_datadir}/plymouth/themes/fade-in

%post theme-fade-in
/usr/sbin/plymouth-set-default-theme fade-in
/usr/share/bootsplash/scripts/switch-themes fade-in 

%postun theme-fade-in
/usr/sbin/plymouth-set-default-theme text
/usr/share/bootsplash/scripts/switch-themes text 

#--------------------------------------------------------------------
%files theme-spinfinity
%defattr(-, root, root)
%{_datadir}/plymouth/themes/spinfinity

%post theme-spinfinity
/usr/sbin/plymouth-set-default-theme spinfinity
/usr/share/bootsplash/scripts/switch-themes spinfinity

%postun theme-spinfinity
/usr/sbin/plymouth-set-default-theme text
/usr/share/bootsplash/scripts/switch-themes text 

#--------------------------------------------------------------------
%files theme-solar
%defattr(-, root, root)
%{_datadir}/plymouth/themes/solar

%post theme-solar
/usr/sbin/plymouth-set-default-theme solar
/usr/share/bootsplash/scripts/switch-themes solar

%postun theme-solar
/usr/sbin/plymouth-set-default-theme text
/usr/share/bootsplash/scripts/switch-themes text 

#--------------------------------------------------------------------
%files theme-charge
%defattr(-, root, root)
%{_datadir}/plymouth/themes/charge

%post theme-charge
/usr/sbin/plymouth-set-default-theme charge
/usr/share/bootsplash/scripts/switch-themes charge

%postun theme-charge
/usr/sbin/plymouth-set-default-theme text
/usr/share/bootsplash/scripts/switch-themes text 

#--------------------------------------------------------------------
%files theme-glow
%defattr(-, root, root)
%{_datadir}/plymouth/themes/glow

%post theme-glow
/usr/sbin/plymouth-set-default-theme glow
/usr/share/bootsplash/scripts/switch-themes glow

%postun theme-glow
/usr/sbin/plymouth-set-default-theme text
/usr/share/bootsplash/scripts/switch-themes text

#--------------------------------------------------------------------
%files theme-script
%defattr(-, root, root)
%{_datadir}/plymouth/themes/script

%post theme-script
/usr/sbin/plymouth-set-default-theme script
/usr/share/bootsplash/scripts/switch-themes script

%postun theme-script
/usr/sbin/plymouth-set-default-theme text
/usr/share/bootsplash/scripts/switch-themes text

#--------------------------------------------------------------------
%files theme-spinner
%defattr(-, root, root)
%{_datadir}/plymouth/themes/spinner

%post theme-spinner
/usr/sbin/plymouth-set-default-theme spinner
/usr/share/bootsplash/scripts/switch-themes spinner

%postun theme-spinner
/usr/sbin/plymouth-set-default-theme text
/usr/share/bootsplash/scripts/switch-themes text

#--------------------------------------------------------------------

%changelog
* Wed Jul 06 2022 tex - 0.8.9-4pclos2022
- libkms is depreciated

* Fri Dec 17 2021 yodelu 0.8.9-3pclos2021
- fix BR
- rebuild against updates
- enable virtual kms

* Sun Mar 1 2020 yodelu 0.8.9-1pclos2020
- update= max version due udev < 2
- drop uclibc build

* Sun Apr  1 2012 Neal <nealbrks0 at gmail dot com> 0.8.3-5pclos2012
- process

* Sun Apr  1 2012 AS <as.pclos at gmail.com> 0.8.3-5pclos2012
- fixes to specfile

* Sat Mar 31 2012 Neal <nealbrks0 at gmail.com> 0.8.3-4pclos2012
- process

* Sat Mar 31 2012 AS <as.pclos at gmail.com> 0.8.3-4pclos2012
- fix error while running mkinitrd on 32 bit, (icon mandriva.png)
- build on both 32 and 64 bit systems

* Mon Aug 15 2011 Texstar <texstar at gmail.com> 0.8.3-3pclos2011
- fix specfile

* Mon Aug 01 2011 Texstar <texstar at gmail.com> 0.8.3-2pclos2011
- update patches

* Mon May 31 2010 Texstar <texstar at gmail.com> 0.8.3-1pclos2010
- sync to mdv to fix VT switch issue when stopping plymouth

* Fri Apr 09 2010 Texstar <texstar at gmail.com> 0.7.2-2pclos2010
- sync to mdv to see if fixes mylivecd boot graphics issue

* Thu Jan 14 2010 Texstar <texstar at gmail.com> 0.7.2-1pclos2010
- import into pclos

